//
//  GLCalendarPool.h
//  GLUtilityKit
//
//  Created by Jeffrey Early on 3/6/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface GLCalendarPool : NSObject

// Access the shared instance which maintains the pool of available objects
+ (id)sharedCalendarPool;

// Request a calendar with particular identifier
- (NSCalendar *) calendarWithIdentifier: (NSString *) calendarIdentifier;

// Return the object so that it can be used elsewhere.
- (void) returnCalendar: (NSCalendar *) calendar;

// Destroy the entire pool.
- (void) destroy;

@end
